Will Snow Leopard run on a PowerPC G4 mac?

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    No, Snow Leopard requires an Intel Mac. Leopard 10.5 is as far as you can go.

    Was this useful? Answer 1

    7 of 7 people found this useful

Related Questions